import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { Question } from '../../models/question';

@Component({
  selector: 'app-canvas-question',
  templateUrl: './canvas-question.component.html',
  styleUrls: ['./canvas-question.component.css']
})
export class CanvasQuestionComponent implements OnInit {

  @Input() question: Question;
  @Output() removeQuestion = new EventEmitter();

  constructor() { }

  ngOnInit() {
  }

  RemoveItem(qes) {
    this.removeQuestion.emit(qes);
  }

}
