import { PipeTransform, Pipe } from '@angular/core';
import { Question } from '../models/question';
import { QuestionBase } from './question-base';
import { QuestionService } from './question.service';
@Pipe({
    name: 'questionBase'
})
export class QuestionBasePipe implements PipeTransform {
    constructor(private qs: QuestionService) { }

    transform(questions: Question[]): QuestionBase<any>[] {
        return this.qs.convertQuestions(questions);
    }
}
