import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { Column } from '../../models/question';

@Component({
  selector: 'app-canvas-column',
  templateUrl: './canvas-column.component.html',
  styleUrls: ['./canvas-column.component.css']
})
export class CanvasColumnComponent implements OnInit {

  @Input() column: Column;
  @Output() delete = new EventEmitter();

  constructor() { }

  ngOnInit() {
  }

  deleteCoumn() {
    this.delete.emit(this.column);
  }

  deleteQuestion(event) {
    if (this.column.questions.indexOf(event) >= 0) {
      const index = this.column.questions.indexOf(event);
      this.column.questions.splice(index, 1);
    }
  }

}
